# RatingBuster

## [1.5.0](https://github.com/raethkcj/RatingBuster/tree/1.5.0) (2022-08-29)
[Full Changelog](https://github.com/raethkcj/RatingBuster/commits/1.5.0) [Previous Releases](https://github.com/raethkcj/RatingBuster/releases)

- Improve bonus armor handling  
- Reorganize settings internally  
- Use % for Armor Penetration  
- Update localizations for generic hit/haste  
- Breakdown hit/haste to physical/spell per expansion  
- Add ArP summary option  
- Add wotlk spellpower locale patterns  
- Add wrath expertise/arp patterns  
- Fix AP aura spell IDs  
- Update README.md  
- Default equipped avoidance stats to zero  
- Add generic ratings for koKR, zhCN, zhTW  
- Fix PI spell ID  
- Fix nil keys in locales  
- Add avoidance DR option  
- Ensure correct class indices  
- Vanilla compatibility  
- Add most avoidance diminishing returns logic  
- Partially revert defunct locales  
- Merge branch 'Anonomit-master'  
- Minor adjustments  
- Remove defunct localizations  
- Convert generic hit/crit/haste in summaries by expansion  
- Multiply defense, not add it  
- Fix avoidance for characters without any  
- Update avoidance summaries  
- Stop manually overriding line widths  
- Small refactor for compatibility  
- Update caster stat summaries  
- Revert "Enable alpha builds"  
- Update physical stat summaries  
- Bring vanilla logic up to speed  
- Manually split tocs  
- Enable alpha builds  
- Prep for eventual Bonus Armor calc  
- Add several wrath stat breakdowns  
- Clarify fontString quality scanner  
- Add localization required for armor breakdown  
- Feral Druid Fixes  
- Remove BoK check on pets for now  
- Add shorthand for GetStatMod  
- Auto-generate option tables for class-specific stat mods  
- Fel armor doesn't add healing  
- Fix Touched by the Light talent position  
- Convert if branches to elseif  
- Require glyph to be active for glyph of life tap effect  
- Make StatModTable and StatModInfo public  
- Add GetOrderedTalentInfo api  
- Set stat option widths to full  
- Prep RB for split by expansion  
- Default class id to 0  
- Don't read talents until SPELLS\_CHANGED  
- Fix talent order  
- Add argchecks to defense and armor  
- Separate basic ratings by expansion  
- Update block value  
- Add enchant validator  
- Fix stance validator  
- Use metatable for block value  
- Add Death Knight armor types  
- Cleanup single-value statmods, use INVSLOT globals  
- Add StatMod Glyph validation  
- Remove non-3.3.5 logic  
- But I didn't die, I had alphabetized  
- Modernize multiplicative stat mods  
- Separate RAP, Block Value, Base Dodge by expansion  
- Fix Survial Instincts  
- Get out of debug hell  
- Remove Survival Instincts form requirement  
- Separate AP per str/agi by expansion  
- Minor formatting fix  
- Buff name/rank fixes  
- Add BuffGroup enum  
- Separate StatModTable by expansion  
- Add several ArP constants  
- Separate crit from agi/int by expansion  
- Fix broken lib paths  
- Separate mana regen by expansion  
- Ignore packager release folder  
- Remove unused tocversion checks  
- Move StatLogic to its own addon  
- Release single multitoc zip  
- Add license to package (oopsies)  
